package cn.superdesk.uniorder.service.operationCenter.impl;

import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterBusiness;
import cn.superdesk.uniorder.dao.mapper.operationCenter.OperationCenterBusinessMapper;
import cn.superdesk.uniorder.dto.param.operationCenter.business.BusinessQueryParam;
import cn.superdesk.uniorder.dto.vo.operationCenter.base.OperationCenterVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.business.BusinessCustomerVo;
import cn.superdesk.uniorder.dto.vo.operationCenter.business.BusinessVo;
import cn.superdesk.uniorder.dto.vo.sys.SysSelectVo;
import cn.superdesk.uniorder.service.operationCenter.OperationCenterBusinessService;
import com.github.pagehelper.PageInfo;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Slf4j
@Service
@RequiredArgsConstructor
public class OperationCenterBusinessServiceImpl implements OperationCenterBusinessService {

    private final OperationCenterBusinessMapper operationCenterBusinessMapper;

    @Override
    public OperationCenterBusiness findById(Long id) {
        return operationCenterBusinessMapper.selectByPrimaryKey(id);
    }
    @Override
    public int insertSelective(OperationCenterBusiness operationCenterBusiness) {
        return operationCenterBusinessMapper.insertSelective(operationCenterBusiness);
    }
    @Override
    public int updateByPrimaryKeySelective(OperationCenterBusiness operationCenterBusiness) {
        return operationCenterBusinessMapper.updateByPrimaryKey(operationCenterBusiness);
    }

    @Override
    public void deleteObj(Long id) {

    }
    @Override
    public List<OperationCenterBusiness> findAll(Map<String, Object> queryMap) {
        return null;
    }
    @Override
    public PageInfo<OperationCenterBusiness> findByPaging(Map<String, Object> params, Integer pageNo, Integer pageSize) {
        return null;
    }

    @Override
    public List<BusinessVo> getListByParams(BusinessQueryParam param) {
        return operationCenterBusinessMapper.getListByParams(param);
    }

    @Override
    public List<BusinessCustomerVo> getByBusinessId(BusinessQueryParam param) {
        return operationCenterBusinessMapper.getByBusinessId(param);
    }

    @Override
    public List<OperationCenterVo> selectAll() {
        return operationCenterBusinessMapper.selectAll();
    }

    @Override
    public List<SysSelectVo> selectList(Map<String, Object> params) {
        return operationCenterBusinessMapper.selectList(params);
    }
}
